Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.jayasoft.ivy.url
Class AbstractURLHandler

    java.lang.Object
      fr.jayasoft.ivy.url.AbstractURLHandler

All Implemented Interfaces:
  URLHandler

Direct Known Subclasses:
  BasicURLHandler, HttpClientHandler

public abstract class AbstractURLHandler
extends java.lang.Object
implements URLHandler

Nested Class Summary

Nested classes inherited from class fr.jayasoft.ivy.url.URLHandler
`URLHandler.URLInfo`

Field Summary

Fields inherited from interface fr.jayasoft.ivy.url.URLHandler
`UNAVAILABLE`

Constructor Summary
`AbstractURLHandler()`

Method Summary
`long` | `getContentLength(java.net.URL url)` Returns the length of the target if the given url is reachable, and without error code in case of http urls.
`long` | `getContentLength(java.net.URL url, int timeout)` Returns the length of the target if the given url is reachable, and without error code in case of http urls.
`long` | `getLastModified(java.net.URL url)` Please prefer getURLInfo when several infos are needed.
`long` | `getLastModified(java.net.URL url, int timeout)` Please prefer getURLInfo when several infos are needed.
`boolean` | `isReachable(java.net.URL url)` Please prefer getURLInfo when several infos are needed.
`boolean` | `isReachable(java.net.URL url, int timeout)` Please prefer getURLInfo when several infos are needed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface fr.jayasoft.ivy.url.URLHandler
`download, getURLInfo, getURLInfo, openStream`

Constructor Detail

### AbstractURLHandler

    public AbstractURLHandler()

Method Detail

### isReachable

    public boolean isReachable(java.net.URL url)

  Description copied from interface: `URLHandler`
  Please prefer getURLInfo when several infos are needed.

  Specified by:
    `isReachable` in interface `URLHandler`
  Parameters:
    `url` - the url to check
  Returns:
    true if the target is reachable

### isReachable

    public boolean isReachable(java.net.URL url,
                               int timeout)

  Description copied from interface: `URLHandler`
  Please prefer getURLInfo when several infos are needed.

  Specified by:
    `isReachable` in interface `URLHandler`
  Parameters:
    `url` - the url to check
  Returns:
    true if the target is reachable

### getContentLength

    public long getContentLength(java.net.URL url)

  Description copied from interface: `URLHandler`
  Returns the length of the target if the given url is reachable, and without error code in case of http urls. Please prefer getURLInfo when several infos are needed.

  Specified by:
    `getContentLength` in interface `URLHandler`
  Parameters:
    `url` - the url to check
  Returns:
    the length of the target if available, 0 if not reachable

### getContentLength

    public long getContentLength(java.net.URL url,
                                 int timeout)

  Description copied from interface: `URLHandler`
  Returns the length of the target if the given url is reachable, and without error code in case of http urls.

  Specified by:
    `getContentLength` in interface `URLHandler`
  Parameters:
    `url` - the url to check
    `timeout` - the maximum time before considering an url is not reachable a timeout of zero indicates no timeout
  Returns:
    the length of the target if available, 0 if not reachable

### getLastModified

    public long getLastModified(java.net.URL url)

  Description copied from interface: `URLHandler`
  Please prefer getURLInfo when several infos are needed.

  Specified by:
    `getLastModified` in interface `URLHandler`
  Parameters:
    `url` - the url to check
  Returns:
    last modified timestamp of the given url

### getLastModified

    public long getLastModified(java.net.URL url,
                                int timeout)

  Description copied from interface: `URLHandler`
  Please prefer getURLInfo when several infos are needed.

  Specified by:
    `getLastModified` in interface `URLHandler`
  Parameters:
    `url` - the url to check
  Returns:
    last modified timestamp of the given url

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD